%define major     6.1
%define pkg_major 6
%define libname   %mklibname %{name} %{major}
%define develname %mklibname -d %{name}
%define demoname  chipmunk-demo
%define samplname chipmunk-samples

Name:           chipmunk
Version:        6.1.5
Release:        %mkrel 2
Summary:        2D physics engine
Group:          Development/C
License:        MIT
URL:            http://chipmunk-physics.net/
Source0:        http://chipmunk-physics.net/release/Chipmunk-%{pkg_major}.x/Chipmunk-%{version}.tgz
Source1:        chipmunk-makefile
# opengl is only needed by the demos
BuildRequires:  libmesagl-devel
BuildRequires:  mesaglu-devel
BuildRequires:  freeglut-devel

%description
Chipmunk is a rigid body physics library, designed for 2D video games.

%package -n %{libname}
Summary:        2D physics engine
Group:          Development/C
Obsoletes:	%{_lib}chipmunk6.1.1_5 < %{version}-%{release}
Obsoletes:	%{_lib}chipmunk6.0.3_5 < %{version}-%{release}

%description -n %{libname}
Chipmunk is a rigid body physics library, designed for 2D video games.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains header files for developing
applications that use %{libname}.

%package -n %{demoname}
Summary:        Demos of the library %{name}
Group:          Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{demoname}
The %{demoname} package provides some demos of what can be achieved
using the library %{libname}.
Switch the demos using the keyboard keys from [a] to [s].

%package -n %{samplname}
Summary:        Examples of use of the library %{name}
Group:          Development/C
BuildArch:	noarch

%description -n %{samplname}
The %{samplname} package provides the source code of the demos.

%package doc
Summary:        Documentation for the library %{name}
Group:          Documentation
BuildArch:      noarch

%description doc
The %{name}-doc package provides some documentations.

%prep
%setup -q -n Chipmunk-%{version}
cp %{SOURCE1} src/Makefile

%build
pushd src
make clean
make
make cleanobj
make static CFLAGS=-std=c99
popd
pushd Demo
ln -s ../src/libchipmunk.so.* libchipmunk.so
gcc -o chipmunk-demo -std=gnu99 -I../include/chipmunk -L. -lchipmunk -lm -lGL -lGLU -lglut *.c
popd
mkdir samples
cp Demo/*.[ch] samples/

%install
pushd src
make install \
  INCDIR=%{buildroot}%{_includedir} \
  LIBDEST=%{buildroot}%{_libdir}
popd
pushd Demo
install -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 chipmunk-demo %{buildroot}%{_bindir}
popd

%files -n %{libname}
%doc LICENSE.txt
%{_libdir}/libchipmunk.so.%{major}

%files -n %{develname}
%doc README.textile
%{_libdir}/libchipmunk.so
%{_libdir}/libchipmunk.a
%{_includedir}/chipmunk

%files -n %{demoname}
%{_bindir}/chipmunk-demo

%files -n %{samplname}
%doc samples

%files doc
%doc doc/


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 6.1.5-2.mga4
+ Revision: 531229
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 dams <dams> 6.1.5-1.mga4
+ Revision: 462586
- new version 6.1.5

* Sun May 19 2013 blue_prawn <blue_prawn> 6.1.4-1.mga3
+ Revision: 413557
- updated to last version 6.1.4

* Fri Jan 11 2013 umeabot <umeabot> 6.1.1-4.mga3
+ Revision: 347676
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 6.1.1-3.mga3
+ Revision: 316598
- update rpm group

* Thu Sep 13 2012 fwang <fwang> 6.1.1-2.mga3
+ Revision: 293380
- update file list

* Sun Sep 09 2012 blue_prawn <blue_prawn> 6.1.1-1.mga3
+ Revision: 291189
- updated to last version 6.1.1
- include the documentation

* Sat Jan 07 2012 blue_prawn <blue_prawn> 6.0.3-1.mga2
+ Revision: 192913
- link with math lib
- using freeglut
- GLU header was missing
- imported package chipmunk

